Subject: bug#3741 closed by Glenn Morris <[email-masked]> (Re: bug#3741: Bug in Texinfo mode key bindings)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 03 Jul 2009 01:45:16 +0000

This is an automatic notification regarding your bug report
which was filed against the notemacs package:

#3741: Bug in Texinfo mode key bindings

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
3741: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3741
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3741: Bug in Texinfo mode key bindings
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jul 2009 21:39:52 -0400

reassign 3741 notemacs
stop

Peter Milliken wrote:

> I am in infrequent user of texinfo mode
[...]
> I was trying to add a node using C-c C-c n and after typing C-c C-c I
> was presented with a prompt on the command line of:
>
> Command: (default TeX)
>
> Since all the other bindings use the same C-c C-c sequence, they all
> appear to be broken.

This indicates you are using the AUCTeX package. This defines its own
Texinfo mode, with different keybindings to the standard mode. AUCTeX
is not part of Emacs. Consult the AUCTeX documentation for the AUCTeX
keybindings. Or stop loading AUCTeX in your .emacs or site-start file.

> C-c C-c runs the command TeX-command-master

An AUCTeX command.

Subject: Bug in Texinfo mode key bindings
From: Peter Milliken <[email-masked]>
To: [email-masked]
Date: Fri, 3 Jul 2009 07:33:53 +1000

I am in infrequent user of texinfo mode - I haven't used it for at
least one version of Emacs. I was just trying to edit an existing
.texi file that I use to maintain personal information and have found
that the texinfo short-cut keys nolonger work. I checked in the
texinfo help section of Emacs and they are still listed as legal
sequences, so I believe a bug has crept into the distribution.

I was trying to add a node using C-c C-c n and after typing C-c C-c I
was presented with a prompt on the command line of:

Command: (default TeX)

Since all the other bindings use the same C-c C-c sequence, they all
appear to be broken.

This same problem occurs in Emacs 23 pretest.

Regards
Peter

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/emacs/etc/DEBUG for instructions.

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-07 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENA
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Texinfo

Minor modes in effect:
  show-paren-mode: t
  desktop-save-mode: t
  recentf-mode: t
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> C-x 3 C-x b <return>
C-c C-c C-g C-h c C-c C-c <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
Using the CPython shell
Fill column set to 80 (was 70) [9 times]
Wrote c:/usr/local/.emacs.desktop.lock
Desktop: 45 buffers restored.
Loading c:/usr/local/.session...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Applying style hooks... done
Quit
C-c C-c runs the command TeX-command-master
Loading emacsbug...done